Imports PrefixTest
Imports iNTERFACEWARE.Chameleon

Public Class ClientEngine
    Inherits PrefixTestEngine

    Public Overrides Sub ParseMessage(ByVal flatWire As String, ByVal Transport As Transport)
        ' This method needs to be synchronized since only one thread
        ' at a time should be going through the engine

        Try

            MyBase.ParseMessage(flatWire, Transport)

        Catch ex As ChameleonException

            ErrorEvent(ex, "Error parsing message")
            ' TODO - log the message so it can be analyzed later

        Catch ex As Exception

            ErrorEvent(ex, "General exception")
            ' TODO - log the message so it can be analyzed later

        End Try

    End Sub

End Class
